Module java.base
Package javax.crypto

# Class ExemptionMechanismException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.crypto.ExemptionMechanismException

All Implemented Interfaces:
  `Serializable`

public class ExemptionMechanismException extends GeneralSecurityException
This is the generic ExemptionMechanism exception.

Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExemptionMechanismException()`
Constructs a ExemptionMechanismException with no detailed message.
`ExemptionMechanismException(String msg)`
Constructs a ExemptionMechanismException with the specified detailed message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExemptionMechanismException

public ExemptionMechanismException()
Constructs a ExemptionMechanismException with no detailed message. (A detailed message is a String that describes this particular exception.)

### ExemptionMechanismException

public ExemptionMechanismException(String msg)
Constructs a ExemptionMechanismException with the specified detailed message. (A detailed message is a String that describes this particular exception.)

Parameters:
  `msg` - the detailed message.